/*
 * Copyright © 2013-2016 The Nxt Core Developers.
 * Copyright © 2016-2023 Jelurida IP B.V.
 * Copyright © 2023-2024 Jelurida Swiss SA
 *
 * See the LICENSE.txt file at the top-level directory of this distribution
 * for licensing information.
 *
 * Unless otherwise agreed in a custom licensing agreement with Jelurida
 * Swiss SA, no part of this software, including this file, may be copied,
 * modified, propagated, or distributed except according to the terms
 * contained in the LICENSE.txt file.
 *
 * Removal or modification of this copyright notice is prohibited.
 *
 */

package nxt;

import nxt.http.coinexchange.CoinExchangeRequiresPermissionsTest;
import nxt.http.twophased.TestPhasingSafetyAndChildChainPermissions;
import org.junit.experimental.categories.Categories;
import org.junit.experimental.categories.Categories.ExcludeCategory;
import org.junit.runner.RunWith;
import org.junit.runners.Suite;

@RunWith(Categories.class)
@Suite.SuiteClasses({
        nxt.http.accountControl.ChildChainControlSuite.class,
        nxt.blockchain.chaincontrol.ChildChainControlSuite.class,
        CoinExchangeRequiresPermissionsTest.class,
        TestPhasingSafetyAndChildChainPermissions.class,
        TestDbSuite.class,
        NoDbTestSuite.class,
})
@ExcludeCategory(RequireNonePermissionPolicyTestsCategory.class)
public class FullAutoWithChildChainControlSuite extends SafeShutdownSuite {
}
